FailableIntPredicate (Apache Commons Lang 3.20.0 API)
Description: declaration: package: org.apache.commons.lang3.function, interface: FailableIntPredicate

# Interface FailableIntPredicate<E extends Throwable>

Type Parameters:
  `E` - The kind of thrown exception or error.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface FailableIntPredicate<E extends Throwable>
A functional interface like `IntPredicate` that declares a `Throwable`.

Since:
  3.11

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FailableIntPredicate`
  `FALSE`
  FALSE singleton
  `static final FailableIntPredicate`
  `TRUE`
  TRUE singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default FailableIntPredicate<E>`
  `and(FailableIntPredicate<E> other)`
  Returns a composed `FailableIntPredicate` like `IntPredicate.and(IntPredicate)`.
  `static <E extends Throwable>
  FailableIntPredicate<E>`
  `falsePredicate()`
  Gets the FALSE singleton.
  `default FailableIntPredicate<E>`
  `negate()`
  Returns a predicate that negates this predicate.
  `default FailableIntPredicate<E>`
  `or(FailableIntPredicate<E> other)`
  Returns a composed `FailableIntPredicate` like `IntPredicate.and(IntPredicate)`.
  `boolean`
  `test(int value)`
  Tests the predicate.
  `static <E extends Throwable>
  FailableIntPredicate<E>`
  `truePredicate()`
  Gets the TRUE singleton.

- ## Field Details

  - ### FALSE

    static final FailableIntPredicate FALSE
    FALSE singleton

  - ### TRUE

    static final FailableIntPredicate TRUE
    TRUE singleton

- ## Method Details

  - ### falsePredicate

    static <E extends Throwable> FailableIntPredicate<E> falsePredicate()
    Gets the FALSE singleton.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### truePredicate

    static <E extends Throwable> FailableIntPredicate<E> truePredicate()
    Gets the TRUE singleton.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### and

    default FailableIntPredicate<E> and(FailableIntPredicate<E> other)
    Returns a composed `FailableIntPredicate` like `IntPredicate.and(IntPredicate)`.
    Parameters:
      `other` - a predicate that will be logically-ANDed with this predicate.
    Returns:
      a composed `FailableIntPredicate` like `IntPredicate.and(IntPredicate)`.
    Throws:
      `NullPointerException` - if other is null

  - ### negate

    default FailableIntPredicate<E> negate()
    Returns a predicate that negates this predicate.
    Returns:
      a predicate that negates this predicate.

  - ### or

    default FailableIntPredicate<E> or(FailableIntPredicate<E> other)
    Returns a composed `FailableIntPredicate` like `IntPredicate.and(IntPredicate)`.
    Parameters:
      `other` - a predicate that will be logically-ORed with this predicate.
    Returns:
      a composed `FailableIntPredicate` like `IntPredicate.and(IntPredicate)`.
    Throws:
      `NullPointerException` - if other is null

  - ### test

    boolean test(int value) throws E
    Tests the predicate.
    Parameters:
      `value` - the parameter for the predicate to accept.
    Returns:
      `true` if the input argument matches the predicate, `false` otherwise.
    Throws:
      `E` - Thrown when the consumer fails.